
QGIS Application - Bug report #7736

data defined rotation does not work for point pattern fills

2013-04-29 01:35 PM - aperi2007 -

Status: Closed

Priority: Severe/Regression

Assignee: Marco Hugentobler

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16642

Description

When using a symbol pattern inside a polygon is is sometimes useful to set a rotation angle for single pattern using an angle filled from the

shapefile.

Apparently it is settable, but doesn't work.

Setting the "angle" (angolo field) in data-defined-properties inside the 

"Point pattern fill" -> Marker -> simple marker

should rotate using the specified value for each single polygon - instead they all have the same rotation.

I guess this is a bug, because the option to set is available.

I added a simple project to show this.

Regards,

Andrea.

Associated revisions

Revision fd85aeea - 2013-07-11 06:33 PM - Jürgen Fischer

consider data defined svg pattern rotation (fixes #7736)

Revision 3c5c7de3 - 2014-01-26 06:04 PM - Radim Blazek

Fixed point pattern fill usedAttributes(), fixes #7736

History

#1 - 2013-04-29 02:56 PM - Jürgen Fischer

- Subject changed from qgis 1.9 don't allow a pattern rotate using data definition to qgis 1.9 doesn't allow data defined rotation of pattern

#2 - 2013-04-30 08:19 AM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression

this is a new feature not working as it should be, so I guess is a blocker.
#3 - 2013-05-06 03:14 AM - Marco Hugentobler

- Assignee set to Marco Hugentobler

#4 - 2013-05-29 03:59 AM - Mathieu Pellerin - nIRV

- Resolution set to worksforme

- File qgis-rotation-works.png added

- Status changed from Open to Closed

Using an integer and real field to set rotation for individual marker in a points layer works fine. I've just confirmed with latest build (see screenshot). Maybe

the person who filed this issue can re-open with more steps to reproduce if he/she still faces this problem.

#5 - 2013-05-30 10:13 AM - aperi2007 -

- Resolution deleted (worksforme)

The ticket is for a polygonal layer not for a puntual layer.

I try it with the last qgis-dev,

but the option of the angle in data-defined is disappeared.

This is a more complex situaztion.

I'm sure this is not working, but not because the angle option was removed it is no more selectable. :)

#6 - 2013-05-30 01:23 PM - Giovanni Manghi

- Status changed from Closed to In Progress

#7 - 2013-06-02 02:10 AM - Giovanni Manghi

- Status changed from In Progress to Open

#8 - 2013-06-02 08:00 PM - Mathieu Pellerin - nIRV

Right. More testing on this:

- using simple marker as point pattern fill, data-defined rotation fails when relying on an attribute

- it'll however succeed if you use an expression with a fixed number, e.g. '45'

- same behavior for svg marker within point pattern fill

Note that this isn't a regression as qgis 1.8's point pattern fill didn't have the data-definition feature and the old symbology didn't have point pattern fill.

#9 - 2013-07-10 04:42 AM - Nathan Woodrow

I'm not sure this should be blocker as there is still some missing features from the data defined but we should just aim for 2.1 for those.

#10 - 2013-07-11 09:33 AM - Jürgen Fischer

- Status changed from Open to Closed
Fixed in changeset commit:"fd85aeea954642b1a13acab1d5e624008875ef4a".

#11 - 2013-09-19 03:12 AM - Giovanni Manghi

- Subject changed from qgis 1.9 doesn't allow data defined rotation of pattern to data defined rotation does not work for point pattern fills

- Status changed from Closed to Reopened

- Target version changed from Version 2.0.0 to Future Release - High Priority

it works for centroid fills and svg fills. Affects 2.0 and master.

#12 - 2013-10-01 07:12 AM - Jürgen Fischer

- Status changed from Reopened to Closed

Fixed in changeset commit:"fd85aeea954642b1a13acab1d5e624008875ef4a".

#13 - 2013-10-01 07:52 AM - Giovanni Manghi

- Status changed from Closed to Reopened

#14 - 2014-01-26 09:06 AM - Radim Blazek

- Status changed from Reopened to Closed

Fixed in changeset commit:"3c5c7de3023c9ec2e9daa4d74b4846fd3e35caad".

Files

rotate-project.zip 5.38 KB 2013-04-29 aperi2007 -

qgis-rotation-works.png 187 KB 2013-05-29 Mathieu Pellerin - nIRV
